SET_TEXT and transparency issue

04/05/2012 09:36 AM - Pierre Marc

Status: Closed Start date: 04/05/2012

Priority: Normal Due date: 04/11/2012

Assignee: Pierre Marc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.09   

Operating System: Any Tested: Yes

Version:    

Description

The SET_TEXT command doesn't work fine with some PDFs using transparency.

History

#1 - 04/05/2012 09:43 AM - Pierre Marc

- Due date set to 04/11/2012

- Status changed from New to In Progress

- Target version set to 2.09

The SET_TEXT command creates an Xobject that doesn't modify the extended graphic state so it uses the current extended graphic state of the

sourcec PDF. If this one uses transparency, the SET_TEXT rectangle may be transparent. The solution is to define our own extended graphic state

without transparency in the SET_TEXT command.

#2 - 04/11/2012 10:02 AM - Pierre Marc

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

- Tested changed from No to Yes

This has been corrected by adding resources to disable transparency whith the GET_TEXT command. Correctly tested on our side.

#3 - 04/17/2012 09:47 AM - Pierre Marc

- Status changed from Resolved to Closed
